Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 321261 - sys-apps/915resolution-0.5.3-r3: doesn't recognize Intel Corporation Mobile GME965/GLE960 Integrated Graphics Controller
Summary: sys-apps/915resolution-0.5.3-r3: doesn't recognize Intel Corporation Mobile G...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Patrick McLean
URL:
Whiteboard: Pending Removal: 2012-12-24
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2010-05-23 23:40 UTC by Anton Vernigor
Modified: 2012-12-25 13:14 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Vernigor 2010-05-23 23:40:33 UTC
I have a problem using 915resolution on my Gentoo installation.
Running «915resolution -l» says:
Intel 800/900 Series VBIOS hack: version 0.5.3

Intel chipset detected. However, 915resolution was unable to determine the chipset type.
Chipset Id: 2a108086

I’m running it on an HP Compaq 6720s laptop to get correct widescreen resolution in framebuffer.

lspci says about my video hardware:

00:02.0 VGA compatible controller: Intel Corporation Mobile GME965/GLE960 Integrated Graphics Controller (rev 0c)
00:02 1 Display controller: Intel  Corporation Mobile GME965/GLE960 Integrated Graphics Controller (rev 0c)


Reproducible: Always
Comment 1 Michael Weber (RETIRED) gentoo-dev 2010-06-07 01:54:55 UTC
Hello Anton,

have you searched the website http://915resolution.mango-lang.org/ if it's Card is supported or known to fail. Please place a reference into URL or write a comment, that reports this Card as working. 

Please comment the `emerge --info` of your system and the `lspci -nn -k` from your system. This Vendor:Product Ids are very helpful to get highly significant answers from i.e. google.

The background for us is to determine if that's a Gentoo specific error or just a problem with upstream.

Thanks, Michael
Comment 2 Pacho Ramos gentoo-dev 2012-10-06 15:35:23 UTC
If I don't misremember, 915resolution is completely obsolete and no needed with latest intel drivers
Comment 3 Matt Turner gentoo-dev 2012-10-06 15:39:07 UTC
(In reply to comment #2)
> If I don't misremember, 915resolution is completely obsolete and no needed
> with latest intel drivers

Yeah. I know some BSDs don't have kernel modesetting, so I suppose it may still be needed somewhere, but I think we should really mask this package everywhere else.
Comment 4 Pacho Ramos gentoo-dev 2012-10-06 15:52:54 UTC
Then, only mask without removal? (Even if I am unsure how does it really work on gentoo BSD setups :/)
Comment 5 Chí-Thanh Christopher Nguyễn gentoo-dev 2012-10-06 16:02:03 UTC
If BSD team wants it, drop non-BSD keywords and transfer maintainership to them. Else I'd say treeclean it.
Comment 6 Patrick McLean gentoo-dev 2012-10-07 05:03:14 UTC
Agreed, this is no longer needed for Linux, if BSD wants to keep around then they can go ahead, otherwise I vote for treeclean.
Comment 7 Naohiro Aota gentoo-dev 2012-10-08 03:11:28 UTC
FreeBSD ports still maintain this package. So I'd like to keep it at least for a while.
Comment 8 Pacho Ramos gentoo-dev 2012-10-08 19:06:49 UTC
I guess BSDs cannot use current intel drivers, right? In that case bugs like this one won't even be resolved as 915* upstream is dead... :/
Comment 9 Chí-Thanh Christopher Nguyễn gentoo-dev 2012-10-08 19:17:45 UTC
Current BSD kernels have support for Intel KMS, a small patch is needed for libdrm[video_cards_intel] and a larger one for libdrm[libkms] (bug 433403)
Comment 10 Pacho Ramos gentoo-dev 2012-12-25 13:14:31 UTC
dropped